{************************************************************}
{* Electronics: Using logic gates to make binary subtractors }
{************************************************************}

program LogicGates4;

// Version history:
//   1.0 (February-March 2020): original program
//   1.0.1 (September 2021):
//     - circuit drawing optimisation (proper display)
//     - spelling mistakes correction

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, Forms, subtractors, subtractor1h, subtractor1f, subtractor4f, addsub4f, help, common;

{$R *.res}

begin
  RequireDerivedFormResource:=True;
  Application.Initialize;
  Application.CreateForm(TfSubtractors, fSubtractors);
  Application.CreateForm(TfSubtractor1h, fSubtractor1h);
  Application.CreateForm(TfSubtractor1f, fSubtractor1f);
  Application.CreateForm(TfSubtractor4f, fSubtractor4f);
  Application.CreateForm(TfAddSub4f, fAddSub4f);
  Application.CreateForm(TfHelp, fHelp);
  Application.Run;
end.

